<?php
/**
 * Theme functions and definitions
 *
 * @package Newsblocks
 */
if ( ! function_exists( 'newsblocks_enqueue_styles' ) ) :
	/**
	 * @since 0.4
	 */
	function newsblocks_enqueue_styles() {
		wp_enqueue_style( 'newspaperss-style-parent', get_template_directory_uri() . '/style.css' );
		wp_enqueue_style( 'newsblocks-style', get_stylesheet_directory_uri() . '/style.css', array( 'newspaperss-style-parent' ), '1.0' );

	}

endif;
add_action( 'wp_enqueue_scripts', 'newsblocks_enqueue_styles', 9999 );

/**
* Register widget area.
*
* @link http://codex.wordpress.org/Function_Reference/register_sidebar
*/
function newsblocks_widgets_init()
{
register_sidebar(array(
'name'          => __('Left Sidebar', 'newsblocks'),
'id'            => 'left-sidebar',
'description'   => __('Left Sidebar', 'newsblocks'),
'before_widget' => '<div id="%1$s" class="widget %2$s sidebar-item cell small-12 medium-6 large-12"><div class="widget_wrap ">',
'after_widget'  => '</div></div>',
'before_title'  => '<div class="widget-title "> <h3>',
'after_title'   => '</h3></div>'
));

register_sidebar(array(
'name'          => __('widgets area under slider', 'newsblocks'),
'id'            => 'sidebar-undersliderwidgets',
'before_widget' => '<div id="%1$s" class="widget %2$s " data-widget-id="%1$s">',
'after_widget'  => '</div>',
'before_title'  => '<h3 class="widget-title">',
'after_title'   => '</h3>'
));

}

add_action('widgets_init', 'newsblocks_widgets_init');

/* Remove parent theme page templates */

function newsblocks_remove_page_templates( $page_templates ) {
  unset( $page_templates['template-frontpage.php'] );
  return $page_templates;
}
add_filter( 'theme_page_templates', 'newsblocks_remove_page_templates' );
